Bug 248315 - even when completely idle, rhythmbox is busy.
even when completely idle, rhythmbox is busy.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks: wakeup
  Show dependency treegraph
 
Reported: 2007-07-15 17:29 EDT by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:48:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2007-07-15 17:29:42 EDT
when completely idle, rhythmbox wakes up 15 times a second, making it one of the
busiest idle apps on my desktop.
stracing it shows that it's doing this in a loop ..

poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=11, events=POLLIN|POLLPRI}, {fd=12,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN},
{fd=10, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN}, {fd=19, events=POLLIN},
{fd=14, events=POLLIN}], 11, 0) = 0
ioctl(3, FIONREAD, [0])                 = 0


those fd's being assorted sockets and pipes.
Comment 1 Matthias Clasen 2007-07-24 20:14:03 EDT
/me wonders if we need some debugging help to easily find out what sources are
currently active in a mainloop.
Comment 2 Bastien Nocera 2007-08-20 10:04:47 EDT
Could you please test with 0.11.2, that I built this morning in rawhide?

Please also make sure that you disable all the plugins that you can. If the same
problem still happens, the output of "rhythmbox -d" when "doing nothing" would
be helpful.
Comment 3 Dave Jones 2007-10-05 17:26:34 EDT
once a minute, it logs this with -d

(17:18:33) [0x6c2500] [rhythmdb_read_enter] rhythmdb.c:907: counter: 1
(17:18:33) [0x13ad310] [query_thread_main] rhythmdb.c:3414: entering query thread
(17:18:33) [0x13ad310] [rhythmdb_query_internal] rhythmdb.c:3391: doing query
(17:18:33) [0x13ad310] [do_query_recurse] rhythmdb-tree.c:2164: doing recursive
query, 1 conjunctions
(17:18:33) [0x13ad310] [rhythmdb_query_model_add_results]
rhythmdb-query-model.c:1918: adding 0 entries
(17:18:33) [0x13ad310] [rhythmdb_query_internal] rhythmdb.c:3397: completed
(17:18:33) [0x6c2500] [idle_process_update] rhythmdb-query-model.c:1039:
inserting 0 rows
(17:18:33) [0x6c2500] [rhythmdb_process_one_event] rhythmdb.c:2039: processing
RHYTHMDB_EVENT_QUERY_COMPLETE
(17:18:33) [0x6c2500] [rhythmdb_read_leave] rhythmdb.c:921: counter: 0
(17:18:33) [0x6c2500] [rhythmdb_process_one_event] rhythmdb.c:2032: processing
RHYTHMDB_EVENT_THREAD_EXITED
(17:18:33) [0x6c2500] [rhythmdb_read_enter] rhythmdb.c:907: counter: 1
(17:18:33) [0x13ad310] [query_thread_main] rhythmdb.c:3414: entering query thread
(17:18:33) [0x13ad310] [rhythmdb_query_internal] rhythmdb.c:3391: doing query
(17:18:33) [0x13ad310] [do_query_recurse] rhythmdb-tree.c:2164: doing recursive
query, 1 conjunctions
(17:18:33) [0x13ad310] [rhythmdb_query_model_add_results]
rhythmdb-query-model.c:1918: adding 0 entries
(17:18:33) [0x13ad310] [rhythmdb_query_internal] rhythmdb.c:3397: completed
(17:18:33) [0x6c2500] [idle_process_update] rhythmdb-query-model.c:1039:
inserting 0 rows
(17:18:34) [0x6c2500] [rhythmdb_process_one_event] rhythmdb.c:2039: processing
RHYTHMDB_EVENT_QUERY_COMPLETE
(17:18:34) [0x6c2500] [rhythmdb_read_leave] rhythmdb.c:921: counter: 0
(17:18:34) [0x6c2500] [rhythmdb_process_one_event] rhythmdb.c:2032: processing
RHYTHMDB_EVENT_THREAD_EXITED

but for the rest of the minute, it's still doing..
read(3, 0x6f38e4, 4096)                 = -1 EAGAIN (Resource temporarily
unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=11,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN},
{fd=19, events=POLLIN}, {fd=18, events=POLLIN}], 9, 9999) = 0
read(3, 0x6f38e4, 4096)                 = -1 EAGAIN (Resource temporarily
unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=11,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN},
{fd=19, events=POLLIN}, {fd=18, events=POLLIN}], 9, 9771) = 0
read(3, 0x6f38e4, 4096)                 = -1 EAGAIN (Resource temporarily
unavailable)

over and over..
(it doesn't seem to be waking up anywhere near as much as it was before though
which is a big improvement)
Comment 4 Bastien Nocera 2007-10-08 06:08:12 EDT
(In reply to comment #3)
> once a minute, it logs this with -d

That sounds fine.

<snip>
> but for the rest of the minute, it's still doing..
> read(3, 0x6f38e4, 4096)                 = -1 EAGAIN (Resource temporarily
> unavailable)
> poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
> events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=11,
> events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN},
> {fd=19, events=POLLIN}, {fd=18, events=POLLIN}], 9, 9999) = 0
> read(3, 0x6f38e4, 4096)                 = -1 EAGAIN (Resource temporarily
> unavailable)

That sounds like ALSA. Would you be able to check the start of the strace output
to see what fd = 4 corresponds to?
Comment 5 Bastien Nocera 2007-10-09 11:01:51 EDT
(In reply to comment #4)
<snip>
> That sounds like ALSA. Would you be able to check the start of the strace output
> to see what fd = 4 corresponds to?

Note that this should be fixed by using Pulseaudio, which shouldn't open the
ALSA device when we're not playing anything.
Comment 6 Dave Jones 2007-11-16 19:34:15 EST
with pulseaudio in f8, rhythmbox-0.11.3-1.fc8 sits in a loop doing this over and
over..

poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=11, events=POLLIN|POLLPRI}, {fd=12,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN},
{fd=19, events=POLLIN}, {fd=22, events=POLLIN}, {fd=10, events=POLLIN|POLLPRI},
{fd=21, events=POLLIN}, {fd=20, events=POLLIN}], 12, 99) = 0
read(3, 0x6dc834, 4096)                 = -1 EAGAIN (Resource temporarily
unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=11, events=POLLIN|POLLPRI}, {fd=12,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN},
{fd=19, events=POLLIN}, {fd=22, events=POLLIN}, {fd=10, events=POLLIN|POLLPRI},
{fd=21, events=POLLIN}, {fd=20, events=POLLIN}], 12, 1) = 0
read(3, 0x6dc834, 4096)                 = -1 EAGAIN (Resource temporarily
unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=11, events=POLLIN|POLLPRI}, {fd=12,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN},
{fd=19, events=POLLIN}, {fd=22, events=POLLIN}, {fd=10, events=POLLIN|POLLPRI},
{fd=21, events=POLLIN}, {fd=20, events=POLLIN}], 12, 0) = 0
read(3, 0x6dc834, 4096)                 = -1 EAGAIN (Resource temporarily
unavailable)

those fd's are..
lr-x------ 1 davej davej 64 2007-11-16 19:31 0 -> /dev/null
l-wx------ 1 davej davej 64 2007-11-16 19:31 1 -> pipe:[27831]
lrwx------ 1 davej davej 64 2007-11-16 19:31 10 -> socket:[1396288]
lrwx------ 1 davej davej 64 2007-11-16 19:31 11 -> socket:[1396293]
lrwx------ 1 davej davej 64 2007-11-16 19:31 12 -> socket:[1396295]
lr-x------ 1 davej davej 64 2007-11-16 19:31 13 -> socket:[1396298]
lrwx------ 1 davej davej 64 2007-11-16 19:31 14 -> socket:[1396299]
lrwx------ 1 davej davej 64 2007-11-16 19:31 15 -> pipe:[1396301]
lr-x------ 1 davej davej 64 2007-11-16 19:31 16 -> pipe:[1396301]
lrwx------ 1 davej davej 64 2007-11-16 19:31 18 -> socket:[1396314]
lrwx------ 1 davej davej 64 2007-11-16 19:31 19 -> socket:[1396302]
l-wx------ 1 davej davej 64 2007-11-16 19:31 2 -> pipe:[27831]
lrwx------ 1 davej davej 64 2007-11-16 19:31 20 -> socket:[1396308]
lrwx------ 1 davej davej 64 2007-11-16 19:31 21 -> socket:[1396310]
lrwx------ 1 davej davej 64 2007-11-16 19:31 22 -> socket:[1396312]
lrwx------ 1 davej davej 64 2007-11-16 19:31 3 -> socket:[1396282]
lr-x------ 1 davej davej 64 2007-11-16 19:31 4 -> pipe:[1396284]
l-wx------ 1 davej davej 64 2007-11-16 19:31 5 -> pipe:[1396284]
lr-x------ 1 davej davej 64 2007-11-16 19:31 6 -> pipe:[1396285]
l-wx------ 1 davej davej 64 2007-11-16 19:31 7 -> pipe:[1396285]
lr-x------ 1 davej davej 64 2007-11-16 19:31 8 -> pipe:[1396286]
l-wx------ 1 davej davej 64 2007-11-16 19:31 9 -> pipe:[1396286]


Comment 7 Bastien Nocera 2007-12-10 10:07:13 EST
I believe that's still PulseAudio/ALSA. Lennart?
Comment 8 Bug Zapper 2008-04-04 09:23:24 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-11-26 02:34:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-08 23:48:22 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.